2010-03-22 15:49:17     CFI flash compatibility - cm-bf537e

Document created by Aaronwu Employee on Sep 25, 2013
Version 1Show Document
  • View in full screen mode

2010-03-22 15:49:17     CFI flash compatibility - cm-bf537e

Tim Shearer (UNITED STATES)

Message: 87582   

 

Hi,

 

We have an issue which is pushing us to migrate to the u-boot 2010R1 pre release. 

 

We just got a batch of cm-bf537e modules from Bluetechnix which have a new flash device on them.  Unfortunately, they gave us no advance notice of this!  The 2009R1 release doesn't support the new device, since the configuration for this board depends on a specific flash chip being present.  i.e., it uses a static driver, not the common flash interface driver.

 

So, the decision I'm faced with is (with limited time available), whether to backport the trunk CFI driver to 2009R1, or whether to stick with 2010R1.

 

However, I don't really want to take any chances with incompatibilites caused by using 2009R1 uClinux with the latest bootloader.

 

Mike (or anyone else!), if you can provide any opinions I'd be grateful. 

 

Many thanks,

 

Tim

QuoteReplyEditDelete

 

 

2010-03-22 16:13:48     Re: CFI flash compatibility - cm-bf537e

Mike Frysinger (UNITED STATES)

Message: 87585   

 

as long as your bootargs are correct, using 2010R1 u-boot (current trunk) should be fine with any Linux version.  plus, current u-boot trunk seems pretty stable ...

 

i think trying to maintain a backport of code is going to be a lot worse than updating the default environment.

QuoteReplyEditDelete

 

 

2010-03-22 16:16:19     Re: CFI flash compatibility - cm-bf537e

Tim Shearer (UNITED STATES)

Message: 87586   

 

Thanks Mike, that's the reassurance I was hoping for!

 

Best regards,

 

Tim

Attachments

    Outcomes